Skip to content
Start here

Create prefix.

ddos_protection.advanced_tcp_protection.prefixes.create(PrefixCreateParams**kwargs) -> PrefixCreateResponse
POST/accounts/{account_id}/magic/advanced_tcp_protection/configs/prefixes

Create a prefix for an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DDoS Protection Write
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
comment: str

A comment describing the prefix.

excluded: bool

Whether to exclude the prefix from protection.

prefix: str

The prefix to add in CIDR format.

ReturnsExpand Collapse
class PrefixCreateResponse:
id: str

The unique ID of the prefix.

comment: str

A comment describing the prefix.

created_on: datetime

The creation timestamp of the prefix.

formatdate-time
excluded: bool

Whether to exclude the prefix from protection.

modified_on: datetime

The last modification timestamp of the prefix.

formatdate-time
prefix: str

The prefix in CIDR format.

Create prefix.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
prefix = client.ddos_protection.advanced_tcp_protection.prefixes.create(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    comment="comment",
    excluded=True,
    prefix="192.0.2.0/24",
)
print(prefix.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "id",
    "comment": "comment",
    "created_on": "2019-12-27T18:11:19.117Z",
    "excluded": true,
    "modified_on": "2019-12-27T18:11:19.117Z",
    "prefix": "192.0.2.0/24"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "id",
    "comment": "comment",
    "created_on": "2019-12-27T18:11:19.117Z",
    "excluded": true,
    "modified_on": "2019-12-27T18:11:19.117Z",
    "prefix": "192.0.2.0/24"
  }
}